<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project1</name>
  <program_name>project1</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window</name>
  <visible>False</visible>
  <title>dummy window</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>True</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkNotebook</class>
    <name>main_widget</name>
    <can_focus>True</can_focus>
    <show_tabs>True</show_tabs>
    <show_border>True</show_border>
    <tab_pos>GTK_POS_TOP</tab_pos>
    <scrollable>False</scrollable>
    <tab_hborder>2</tab_hborder>
    <tab_vborder>2</tab_vborder>
    <popup_enable>False</popup_enable>

    <widget>
      <class>GtkVBox</class>
      <name>big_box</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkHBox</class>
	<name>hbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button4</name>
	  <border_width>3</border_width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_find</handler>
	    <last_modification_time>Sun, 06 Feb 2000 20:44:32 GMT</last_modification_time>
	  </signal>
	  <label>find:</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry2</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_find_entry</handler>
	    <last_modification_time>Sun, 06 Feb 2000 20:45:10 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button1</name>
	  <border_width>3</border_width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_launch_unique:GdamSongDatabaseMakerSkin:database_maker.xml</handler>
	    <last_modification_time>Tue, 01 Feb 2000 17:49:23 GMT</last_modification_time>
	  </signal>
	  <label>build database...</label>
	  <child>
	    <padding>2</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button3</name>
	  <border_width>3</border_width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:songsel</handler>
	    <last_modification_time>Tue, 01 Feb 2000 17:51:30 GMT</last_modification_time>
	  </signal>
	  <label>?</label>
	  <child>
	    <padding>2</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkScrolledWindow</class>
	<name>scrlist</name>
	<hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
	<vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
	<hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
	<vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkCList</class>
	  <name>list</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_clist:filename:bpm:length:loops:ranges</handler>
	    <last_modification_time>Sun, 09 Jan 2000 07:29:30 GMT</last_modification_time>
	  </signal>
	  <columns>5</columns>
	  <column_widths>10,30,30,10,10</column_widths>
	  <selection_mode>GTK_SELECTION_EXTENDED</selection_mode>
	  <show_titles>True</show_titles>
	  <shadow_type>GTK_SHADOW_IN</shadow_type>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>filename</name>
	    <label>Filename</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <child_name>CList:title</child_name>
	    <name>eventbox2</name>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_song_selector_hide_unknown</handler>
	      <last_modification_time>Fri, 17 Mar 2000 06:18:08 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_song_selector_sort_by_bpm</handler>
	      <last_modification_time>Fri, 17 Mar 2000 06:42:23 GMT</last_modification_time>
	    </signal>

	    <widget>
	      <class>GtkLabel</class>
	      <child_name>CList:title</child_name>
	      <name>bpm</name>
	      <label>BPM</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>Length</name>
	    <label>Length</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>loops</name>
	    <label>O</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>ranges</name>
	    <label>...</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>Custom</class>
	<name>custom1_trackdrawingarea</name>
	<height>15</height>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_song_selector_track_display</handler>
	  <last_modification_time>Sun, 01 Oct 2000 02:31:54 GMT</last_modification_time>
	</signal>
	<creation_function>gtk_track_display_create_func</creation_function>
	<int1>0</int1>
	<int2>0</int2>
	<last_modification_time>Sun, 01 Oct 2000 02:37:27 GMT</last_modification_time>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox1</name>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label1</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_song_selector_info_label</handler>
	      <last_modification_time>Wed, 02 Feb 2000 03:21:34 GMT</last_modification_time>
	    </signal>
	    <label>extended song information</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>3</xpad>
	    <ypad>3</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label2</name>
	  <label>add info: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry3</name>
	  <width>40</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_info_entry</handler>
	    <last_modification_time>Wed, 01 Mar 2000 19:20:15 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVSeparator</class>
	  <name>vseparator1</name>
	  <child>
	    <padding>4</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button5</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_delete</handler>
	    <last_modification_time>Wed, 01 Mar 2000 21:07:09 GMT</last_modification_time>
	  </signal>
	  <label>remove song</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label2</name>
      <label>songs</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkVBox</class>
	<name>vbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox8</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox3</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label4</name>
	      <label>Show songs by default?</label>
	      <justify>GTK_JUSTIFY_LEFT</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label5</name>
	      <label>Show songs of unknown bpm?</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox9</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkRadioButton</class>
		<name>radiobutton1</name>
		<can_focus>True</can_focus>
		<label>yes</label>
		<active>False</active>
		<draw_indicator>True</draw_indicator>
		<group>default_behavior_group</group>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkRadioButton</class>
		<name>radiobutton2</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_song_selector_hide_default_tbutton</handler>
		  <last_modification_time>Fri, 26 May 2000 22:48:38 GMT</last_modification_time>
		</signal>
		<label>no</label>
		<active>False</active>
		<draw_indicator>True</draw_indicator>
		<group>default_behavior_group</group>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox5</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkRadioButton</class>
		<name>radiobutton3</name>
		<can_focus>True</can_focus>
		<label>yes</label>
		<active>False</active>
		<draw_indicator>True</draw_indicator>
		<group>unknown_bpm_group</group>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkRadioButton</class>
		<name>radiobutton4</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_song_selector_hide_unknown_bpm_tbutton</handler>
		  <last_modification_time>Fri, 26 May 2000 22:48:23 GMT</last_modification_time>
		</signal>
		<label>no</label>
		<active>False</active>
		<draw_indicator>True</draw_indicator>
		<group>unknown_bpm_group</group>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox6</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label6</name>
	  <label>Hide songs which exist in gdam database: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox14</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button7</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_change_hide_file</handler>
	    <last_modification_time>Fri, 26 May 2000 22:58:35 GMT</last_modification_time>
	  </signal>
	  <label>add file....</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry5</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_hide_file_entry</handler>
	    <last_modification_time>Fri, 26 May 2000 23:07:06 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button9</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_reset_hide_file</handler>
	    <last_modification_time>Thu, 22 Jun 2000 01:03:58 GMT</last_modification_time>
	  </signal>
	  <label>reset</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox7</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label7</name>
	  <label>Show songs which exist in gdam database: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox15</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button6</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_change_show_file</handler>
	    <last_modification_time>Fri, 26 May 2000 23:03:54 GMT</last_modification_time>
	  </signal>
	  <label>add file....</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry4</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_show_file_entry</handler>
	    <last_modification_time>Fri, 26 May 2000 23:08:08 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button10</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_reset_show_file</handler>
	    <last_modification_time>Thu, 22 Jun 2000 01:03:31 GMT</last_modification_time>
	  </signal>
	  <label>reset</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox11</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label10</name>
	  <label>Show songs with user info:  </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label11</name>
	  <label>key=</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>7</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry6</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_show_key_entry</handler>
	    <last_modification_time>Sat, 03 Jun 2000 02:34:36 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label12</name>
	  <label>value=</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>7</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry7</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_show_value_entry</handler>
	    <last_modification_time>Sat, 03 Jun 2000 02:38:10 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox16</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label32</name>
	  <label>Hide songs with user info:  </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label33</name>
	  <label>key=</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>7</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry8</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_hide_key_entry</handler>
	    <last_modification_time>Sun, 22 Apr 2001 04:28:19 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label34</name>
	  <label>value=</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>7</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry9</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_hide_value_entry</handler>
	    <last_modification_time>Sun, 22 Apr 2001 04:28:29 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox10</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label8</name>
	  <label>restrict to songs with bpm between  </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_min_bpm_adjustment</handler>
	    <last_modification_time>Sat, 03 Jun 2000 02:12:38 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>0</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>10000</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label9</name>
	  <label>  and  </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton2</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_max_bpm_adjustment</handler>
	    <last_modification_time>Sat, 03 Jun 2000 02:13:21 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>0</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>10000</value>
	  <lower>0</lower>
	  <upper>10000</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label3</name>
      <label>visibility</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>GtkVBox</class>
      <name>vbox5</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkHBox</class>
	<name>hbox12</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button2</name>
	  <border_width>3</border_width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_save_database</handler>
	    <last_modification_time>Tue, 01 Feb 2000 17:52:17 GMT</last_modification_time>
	  </signal>
	  <label>save:</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_filename_entry</handler>
	    <last_modification_time>Wed, 02 Feb 2000 23:08:18 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text></text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button8</name>
	  <border_width>3</border_width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_load_database</handler>
	    <last_modification_time>Thu, 22 Jun 2000 00:29:36 GMT</last_modification_time>
	  </signal>
	  <label>load</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button11</name>
	  <border_width>3</border_width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_selector_add_database</handler>
	    <last_modification_time>Tue, 10 Oct 2000 01:34:02 GMT</last_modification_time>
	  </signal>
	  <label>add</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox13</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label14</name>
	  <label>Save only those songs which are currently visible?</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkRadioButton</class>
	  <name>radiobutton5</name>
	  <can_focus>True</can_focus>
	  <label>yes</label>
	  <active>False</active>
	  <draw_indicator>True</draw_indicator>
	  <group>save_unknown_bpm_group</group>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkRadioButton</class>
	  <name>radiobutton6</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_save_unknown_bpm_tbutton</handler>
	    <last_modification_time>Thu, 08 Jun 2000 08:28:33 GMT</last_modification_time>
	  </signal>
	  <label>no</label>
	  <active>True</active>
	  <draw_indicator>True</draw_indicator>
	  <group>save_unknown_bpm_group</group>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label13</name>
      <label>save</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>GtkVBox</class>
      <name>vbox6</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkLabel</class>
	<name>label30</name>
	<label>beat info ranges:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkScrolledWindow</class>
	<name>scrolledwindow1</name>
	<hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
	<vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
	<hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
	<vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkCList</class>
	  <name>clist1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_selector_range_clist:bpm:fb:start:end:desc</handler>
	    <last_modification_time>Wed, 13 Sep 2000 19:07:55 GMT</last_modification_time>
	  </signal>
	  <columns>5</columns>
	  <column_widths>80,80,80,80,80</column_widths>
	  <selection_mode>GTK_SELECTION_SINGLE</selection_mode>
	  <show_titles>True</show_titles>
	  <shadow_type>GTK_SHADOW_IN</shadow_type>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label16</name>
	    <label>bpm</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label17</name>
	    <label>firstbeat</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label18</name>
	    <label>start</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label19</name>
	    <label>end</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label20</name>
	    <label>range description</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label31</name>
	<label>loops:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkCList</class>
	<name>clist2</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_song_selector_loop_clist:bpm:start:length:beats:desc</handler>
	  <last_modification_time>Mon, 22 Jan 2001 06:05:42 GMT</last_modification_time>
	</signal>
	<columns>5</columns>
	<column_widths>80,80,80,80,80</column_widths>
	<selection_mode>GTK_SELECTION_SINGLE</selection_mode>
	<show_titles>True</show_titles>
	<shadow_type>GTK_SHADOW_IN</shadow_type>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label25</name>
	  <label>bpm</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label26</name>
	  <label>start</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label27</name>
	  <label>length</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label28</name>
	  <label>beats</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label29</name>
	  <label>loop description</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label15</name>
      <label>info</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>
  </widget>
</widget>

</GTK-Interface>
